[node-patches] Change in ovirt-node[master]: installer: Make sed aware of bind mounts

fabiand at redhat.com fabiand at redhat.com
Fri Dec 19 08:24:05 UTC 2014


Fabian Deutsch has uploaded a new change for review.

Change subject: installer: Make sed aware of bind mounts
......................................................................

installer: Make sed aware of bind mounts

It was just missed to use sed's copy mode, to work well with the bind
mounts.
Now the copy mode is used for in place editing

Change-Id: Ice7fdb8d44ddbb3a7045a0f1492cc32f35ea2241
Bug-Url: https://bugzilla.redhat.com/show_bug.cgi?id=1176000
Signed-off-by: Fabian Deutsch <fabiand at fedoraproject.org>
---
M scripts/ovirt-init-functions.sh.in
1 file changed, 2 insertions(+), 2 deletions(-)


  git pull ssh://gerrit.ovirt.org:29418/ovirt-node refs/changes/91/36291/1

diff --git a/scripts/ovirt-init-functions.sh.in b/scripts/ovirt-init-functions.sh.in
index a82a558..f142e18 100644
--- a/scripts/ovirt-init-functions.sh.in
+++ b/scripts/ovirt-init-functions.sh.in
@@ -1209,14 +1209,14 @@
         breakpoint "pre-installer"
         debugmode && AIARGS="--debug"
         /usr/libexec/ovirt-auto-install $AIARGS
+        rc=$?
 
         # Greedy approach to remove eventual password variables
         # after auto installation. Done here to workaround nasty
         # caching of OVIRT_VARS in .py files.
         # https://bugzilla.redhat.com/show_bug.cgi?id=1062541
-        sed -i "/.*PASSWORD.*=/ d" /etc/default/ovirt
+        sed -ci "/.*PASSWORD.*=/ d" /etc/default/ovirt || :
 
-        rc=$?
         breakpoint "post-installer"
         # Handle Log file
         if [ -f $OVIRT_TMP_LOGFILE ]; then


-- 
To view, visit http://gerrit.ovirt.org/36291
To unsubscribe, visit http://gerrit.ovirt.org/settings

Gerrit-MessageType: newchange
Gerrit-Change-Id: Ice7fdb8d44ddbb3a7045a0f1492cc32f35ea2241
Gerrit-PatchSet: 1
Gerrit-Project: ovirt-node
Gerrit-Branch: master
Gerrit-Owner: Fabian Deutsch <fabiand at redhat.com>



More information about the node-patches mailing list